﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SlideUI;

namespace SlidingPages2
{
    public partial class MainForm : Form
    {
        private UIPanel newPage = null;
        private UIButton newPageButton = null;

        public MainForm()
        {
            InitializeComponent();
        }

        private void uiButton1_Click(object sender, EventArgs e)
        {
            if (newPage == null)
            {
                newPage = uiPages1.AddPage();
                newPage.BackColor = Color.Black;
                newPageButton = new UIButton();
                newPageButton.ColorScheme = UIColorSchemesCustom.White;
                newPageButton.Click += new EventHandler(newPageButton_Click);
                newPageButton.Location = new Point(Utils.CalcScaleSize(10), Utils.CalcScaleSize(10));
                newPageButton.Size = new Size(Utils.CalcScaleSize(150), Utils.CalcScaleSize(25));
                newPageButton.Text = "Return to Page #1";
                newPage.Controls.Add(newPageButton);

                uiButton1.Text = "Slide to New Page";
            }

            uiPages1.Transition = UITransitions.SlideRightToLeft;
            uiPages1.SelectedPage = 1;
        }

        void newPageButton_Click(object sender, EventArgs e)
        {
            uiPages1.Transition = UITransitions.SlideLeftToRight;
            uiPages1.SelectedPage = 0;
        }
    }
}